---
updatedAt: 2025-09-14T23:45:37.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Creates a new Healthcare Listener rule

```xml Sample Request Body
<healthcare_listener_rule>
    <hcl_id>2</hcl_id>
    <name>(A02) | Email Notification Test - tvOS Command ➜ iOS Devices</name>
    <operating_system>TV</operating_system>
    <mdm_command>EraseDevice</mdm_command>
    <mdm_command_additional_data>
        <erase_device_suppress_proximity_setup>true</erase_device_suppress_proximity_setup>
    </mdm_command_additional_data>
    <adt_message>A02</adt_message>
    <adt_message_field>PV1-6-3</adt_message_field>
    <device_inventory_field>-1</device_inventory_field>
    <notification_enabled>true</notification_enabled>
    <notify_unsupported_enabled>true</notify_unsupported_enabled>
    <notification_threshold>15</notification_threshold>
    <notification_emails>
        <email>user@company.com</email>
    </notification_emails>
</healthcare_listener_rule>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/healthcarelistenerrule/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "healthcarelistenerrule"
        ],
        "summary": "Creates a new Healthcare Listener rule",
        "operationId": "createHealthCareListenerRuleById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```